// Models
import { Term } from '@app/core/models/term';
import { PlannedTerm } from '@app/core/models/planned-term';
import { DegreePlan } from '@app/core/models/degree-plan';
import { SavedForLaterCourse } from '@app/core/models/saved-for-later-course';

export interface DegreePlannerState {
	visibleRoadmapId?: number;
	visibleTerms: PlannedTerm[];
	savedForLaterCourses: SavedForLaterCourse[];
	activeTermCodes: string[];
	allDegreePlans: DegreePlan[];
}

export const INITIAL_DEGREE_PLANNER_STATE: DegreePlannerState = {
	visibleRoadmapId: undefined,
	visibleTerms: [],
	savedForLaterCourses: [],
	activeTermCodes: [],
	allDegreePlans: []
};
